\begin{tikzpicture}
	\node (T1) at (0, -2.3) {$T_1$};
	\node (r1) at (0, -1) {$r_1$};
	\node (T2) at (3.5, -2.3) {$T_2$};
	\node (r2) at (3.5, -1) {$r_2$};
	\node (u) at (.5, -3) {$u$};

	\draw[-] (r1) -- +(-1.5, -2) -- (u) -- +(1.5, 0) -- (r1);
	\draw[-] (r2) -- +(-1, -2) -- +(1, -2) -- (r2);

	\node (join) at (5.5, -2.5) {$\leadsto$};

	\node (r) at (8, 0) {$r_1$};
	\node (TT1) at (8, -1.3) {$T_1$};
	\node (TT2) at (8.5, -3.3) {$T_2$};
	\node (uu) at (8.5, -2) {$u$};

	\draw[-] (r) -- +(-1.5, -2) -- (uu) -- +(1.5, 0) -- (r);
	\draw[-] (uu) -- +(-1, -2) -- +(1, -2) -- (uu);
\end{tikzpicture}
